.modal {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0,0,0,0.5); 
    z-index: 1050;
    margin: 0;
    padding: 0;
    transition: opacity 200ms ease-in;
    width: 100%;
    height: 100vh;

    &-inner {
        margin: 10% auto;
        width: 550px;
        height: 250px;
        border-radius: 5px;
        background-color: rgb(238, 68, 38);
        z-index: 1100;
    }

    &-head {
        display: flex;
        justify-content: space-between;
        background-color: hsla(0, 0%, 0%, 0.100);
        padding: 1rem;
    }

    &-title {
        margin: 0;
        font-size: 1.2rem;
        color: #fff;
    }

    &-btn {
        margin-top: 2rem;
        background-color:  rgb(238, 68, 38);
        color: #fff;
        text-transform: uppercase;
    }

    &-body {
        padding: 1rem 2rem 1rem;
    }

    &-text {
        color: #fff;
        font-size: .875rem;
        font-weight: bold;
        text-align: center;
        margin-top: 1rem;
    }

    &-footer {
        &__confirm {
            padding: 1rem;
        }
    }
}

